function exportbodytrajectory(hf, fpath)
%% EXPORTBODYTRAJECTORY
%
% Inputs:
%
%   MFILE                   Description of argument MFILE
%
% Authors:
%   Philipp Tempel <philipp.tempel@ls2n.fr>



%% Parse arguments

% EXPORTBODYTRAJECTORY(HF, FPATH)
narginchk(2, 2);

% EXPORTBODYTRAJECTORY(___)
nargoutchk(0, 0);



%% Print

% Get current axes from current figure
ax = findobj(hf, 'type', 'axes');

% Loop over all body trajectories
bt = findobj(ax, 'Tag', 'BodyTrajectories');
nbt = numel(bt.Children);
for ibt = 1:nbt
  % Create a copy of the figure
  hf_ = figure();
  coFig = onCleanup(@() close(hf_));
  % Copy the whole axes object (to keep its same settings)
  copyobj(ax, hf_);
  % Get new axes object
  ax_ = findobj(hf_, 'Type', 'axes');
  
  % Clean up all objects we don't want
  cla(ax_);
  % Copy again
  %   BodyTrajectory<IBT>
  %   BodyTrajectoryShadow<IBT>
  copyobj( ...
    [ ...
        findobj(ax, 'Tag', [ 'BodyTrajectory' , num2str(ibt) ]) ...
      , findobj(ax, 'Tag', [ 'BodyTrajectoryShadow' , num2str(ibt) ]) ...
    ] ...
    , ax_ ...
  );
  delete(ax_.Title);
  
  % Set figure's aspect ratio
  fbaspect(hf_, [ 2 , 1 ]);

  % Export figure in original format
  saveas( ...
      hf_ ...
    , ensuredir(sprintf(fpath, 'fig', sprintf('%d', ibt))) ...
  );

  % Export figure for paper
  hgexport( ...
      hf_ ...
    , 'temp_dummy' ...
    , hgexport('readstyle', 'T-RO Figure One Half') ...
    , 'applystyle', true ...
  );
  drawnow();
  exportgraphics( ...
      hf_ ...
    , ensuredir(sprintf(fpath, 'pdf', ibt)) ...
    , 'ContentType', 'vector' ...
    , 'BackgroundColor', 'none' ...
    , 'Resolution', 72 ...
  );
  exportgraphics( ...
      hf_ ...
    , ensuredir(sprintf(fpath, 'eps', ibt)) ...
    , 'ContentType', 'vector' ...
    , 'BackgroundColor', 'none' ...
    , 'Resolution', 150 ...
  );
  exportgraphics( ...
      hf_ ...
    , ensuredir(sprintf(fpath, 'png', ibt)) ...
    , 'ContentType', 'vector' ...
    , 'BackgroundColor', 'none' ...
    , 'Resolution', 150 ...
  );

end


end

%------------- END OF CODE --------------
% Please send suggestions for improvement of this file to the original author as
% can be found in the header. Your contribution towards improving this function
% will be acknowledged in the "Changelog" section of the header.
